## haskell-statistics 0.13.2.3

=== tests/utils/Makefile ===
C       = gcc
CFLAGS  = -W -Wall -O2 -std=c99
LDFLAGS = -lfftw3

.PHONY: all clean

all : fftw
clean :
	rm -rf fftw *.o

## haskell-statistics 0.5.1.0

=== debian/changelog ===
haskell-statistics (0.5.1.0-1build1) natty; urgency=low

  * No-change reuild for haskell library ABI changes.

 -- Michael Bienia <geser@ubuntu.com>  Sun, 30 Jan 2011 13:44:31 +0100

haskell-statistics (0.5.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #582552)

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Fri, 21 May 2010 16:09:19 -0300

=== debian/control ===
Source: haskell-statistics
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.7)
  , ghc6
  , ghc6-prof
  , libghc6-erf-dev
  , libghc6-erf-prof
  , libghc6-mwc-random-dev (>= 0.5.0.0)
  , libghc6-mwc-random-prof
  , libghc6-primitive-dev
  , libghc6-primitive-prof
  , libghc6-vector-dev (>= 0.5)
  , libghc6-vector-prof
  , libghc6-vector-algorithms-dev (>= 0.3)
  , libghc6-vector-algorithms-prof
Build-Depends-Indep: ghc6-doc
  , libghc6-erf-doc
  , libghc6-mwc-random-doc
  , libghc6-primitive-doc
  , libghc6-vector-doc
  , libghc6-vector-algorithms-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/statistics
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-statistics
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-statistics

Package: libghc6-statistics-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A library of statistical types, data, and functions
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides a number of common functions and types useful
 in statistics.  Our focus is on high performance, numerical
 robustness, and use of good algorithms.  Where possible, we provide
 references to the statistical literature.
 .
 The library's facilities can be divided into three broad categories:
 .
 Working with widely used discrete and continuous probability
 distributions.  (There are dozens of exotic distributions in use; we
 focus on the most common.)
 .
 Computing with sample data: quantile estimation, kernel density
 estimation, bootstrap methods, and autocorrelation analysis.
 .
 Random variate generation under several different distributions.

Package: libghc6-statistics-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A library of statistical types, data, and functions; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides a number of common functions and types useful
 in statistics.  Our focus is on high performance, numerical
 robustness, and use of good algorithms.  Where possible, we provide
 references to the statistical literature.
 .
 The library's facilities can be divided into three broad categories:
 .
 Working with widely used discrete and continuous probability
 distributions.  (There are dozens of exotic distributions in use; we
 focus on the most common.)
 .
 Computing with sample data: quantile estimation, kernel density
 estimation, bootstrap methods, and autocorrelation analysis.
 .
 Random variate generation under several different distributions.

Package: libghc6-statistics-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: A library of statistical types, data, and functions; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides a number of common functions and types useful
 in statistics.  Our focus is on high performance, numerical
 robustness, and use of good algorithms.  Where possible, we provide
 references to the statistical literature.
 .
 The library's facilities can be divided into three broad categories:
 .
 Working with widely used discrete and continuous probability
 distributions.  (There are dozens of exotic distributions in use; we
 focus on the most common.)
 .
 Computing with sample data: quantile estimation, kernel density
 estimation, bootstrap methods, and autocorrelation analysis.
 .
 Random variate generation under several different distributions.

## haskell-statistics 0.8.0.5

=== debian/changelog ===
haskell-statistics (0.8.0.5-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Tue, 07 Jun 2011 13:20:37 +0100

haskell-statistics (0.8.0.5-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 15 Apr 2011 19:12:30 +0530

=== debian/control ===
--- 
+++ 
@@ -5,31 +5,31 @@
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
 Build-Depends: debhelper (>= 7)
   , cdbs
-  , haskell-devscripts (>= 0.7)
-  , ghc6
-  , ghc6-prof
-  , libghc6-erf-dev
-  , libghc6-erf-prof
-  , libghc6-mwc-random-dev (>= 0.5.0.0)
-  , libghc6-mwc-random-prof
-  , libghc6-primitive-dev
-  , libghc6-primitive-prof
-  , libghc6-vector-dev (>= 0.5)
-  , libghc6-vector-prof
-  , libghc6-vector-algorithms-dev (>= 0.3)
-  , libghc6-vector-algorithms-prof
-Build-Depends-Indep: ghc6-doc
-  , libghc6-erf-doc
-  , libghc6-mwc-random-doc
-  , libghc6-primitive-doc
-  , libghc6-vector-doc
-  , libghc6-vector-algorithms-doc
+  , haskell-devscripts (>= 0.8)
+  , ghc
+  , ghc-prof
+  , libghc-erf-dev
+  , libghc-erf-prof
+  , libghc-mwc-random-dev (>= 0.8.0.3)
+  , libghc-mwc-random-prof
+  , libghc-primitive-dev (>= 0.3)
+  , libghc-primitive-prof
+  , libghc-vector-dev (>= 0.7.0.0)
+  , libghc-vector-prof
+  , libghc-vector-algorithms-dev (>= 0.4)
+  , libghc-vector-algorithms-prof
+Build-Depends-Indep: ghc-doc
+  , libghc-erf-doc
+  , libghc-mwc-random-doc
+  , libghc-primitive-doc
+  , libghc-vector-doc
+  , libghc-vector-algorithms-doc
 Standards-Version: 3.8.4
 Homepage: http://hackage.haskell.org/package/statistics
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-statistics
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-statistics
 
-Package: libghc6-statistics-dev
+Package: libghc-statistics-dev
 Architecture: any
 Depends: ${haskell:Depends}
   , ${shlibs:Depends}
@@ -57,7 +57,7 @@
  .
  Random variate generation under several different distributions.
 
-Package: libghc6-statistics-prof
+Package: libghc-statistics-prof
 Architecture: any
 Depends: ${haskell:Depends}
   , ${shlibs:Depends}
@@ -86,7 +86,7 @@
  .
  Random variate generation under several different distributions.
 
-Package: libghc6-statistics-doc
+Package: libghc-statistics-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${haskell:Depends}

## haskell-statistics 0.9.0.0

=== debian/changelog ===
haskell-statistics (0.9.0.0-1build2) precise; urgency=low

  * No change rebuild for new libghc-monad-par-dev

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 27 Dec 2011 15:50:00 -0600

haskell-statistics (0.9.0.0-1build1) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Dec 2011 09:29:51 +0000

haskell-statistics (0.9.0.0-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Added missing copyright holders

  [ Iulian Udrea ]
  * New upstream release.
  * Depend on libghc-deepseq-dev (>= 1.1.0.2).
  * Depend on libghc-monad-par-dev (>= 0.1.0.1).
  * Depend on libghc-mwc-random-dev (>= 0.8.0.5).
  * Add myself to Uploaders.
  * Add DM-Upload-Allowed: yes.
  * Bump Standards-Version to 3.9.2; no changes required.
  * Update copyright years and Source URL.

 -- Iulian Udrea <iulian@linux.com>  Thu, 01 Sep 2011 17:44:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,20 @@
 Section: haskell
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
+Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>, Iulian Udrea <iulian@linux.com>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7)
   , cdbs
   , haskell-devscripts (>= 0.8)
   , ghc
   , ghc-prof
+  , libghc-deepseq-dev (>= 1.1.0.2)
+  , libghc-deepseq-prof
   , libghc-erf-dev
   , libghc-erf-prof
-  , libghc-mwc-random-dev (>= 0.8.0.3)
+  , libghc-monad-par-dev (>= 0.1.0.1)
+  , libghc-monad-par-prof
+  , libghc-mwc-random-dev (>= 0.8.0.5)
   , libghc-mwc-random-prof
   , libghc-primitive-dev (>= 0.3)
   , libghc-primitive-prof
@@ -18,13 +23,18 @@
   , libghc-vector-prof
   , libghc-vector-algorithms-dev (>= 0.4)
   , libghc-vector-algorithms-prof
+  , libghc-aeson-dev
+  , libghc-aeson-prof
 Build-Depends-Indep: ghc-doc
+  , libghc-deepseq-doc
   , libghc-erf-doc
+  , libghc-monad-par-doc
   , libghc-mwc-random-doc
   , libghc-primitive-doc
   , libghc-vector-doc
   , libghc-vector-algorithms-doc
-Standards-Version: 3.8.4
+  , libghc-aeson-doc
+Standards-Version: 3.9.2
 Homepage: http://hackage.haskell.org/package/statistics
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-statistics
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-statistics

## haskell-statistics 0.10.1.0

=== debian/changelog ===
haskell-statistics (0.10.1.0-2build1) quantal; urgency=low

  * No-change rebuild for GHC 7.4.2-2

 -- Iain Lane <laney@ubuntu.com>  Mon, 13 Aug 2012 09:17:08 +0000

haskell-statistics (0.10.1.0-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Feb 2012 17:36:29 +0100

haskell-statistics (0.10.1.0-1) unstable; urgency=low

  * New upstream release.
  * Remove the aeson dependency and update the other ones.
  * Add math-functions dependency.

 -- Iulian Udrea <iulian@physics.org>  Sat, 28 Jan 2012 17:20:06 +0000

=== debian/control ===
--- 
+++ 
@@ -2,38 +2,35 @@
 Section: haskell
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>, Iulian Udrea <iulian@linux.com>
+Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>, Iulian Udrea <iulian@physics.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7)
   , cdbs
   , haskell-devscripts (>= 0.8)
   , ghc
   , ghc-prof
-  , libghc-deepseq-dev (>= 1.1.0.2)
-  , libghc-deepseq-prof
   , libghc-erf-dev
   , libghc-erf-prof
   , libghc-monad-par-dev (>= 0.1.0.1)
   , libghc-monad-par-prof
-  , libghc-mwc-random-dev (>= 0.8.0.5)
+  , libghc-mwc-random-dev (>= 0.11.0.0)
   , libghc-mwc-random-prof
+  , libghc-math-functions-dev (>= 0.1.1)
+  , libghc-math-functions-prof
   , libghc-primitive-dev (>= 0.3)
   , libghc-primitive-prof
-  , libghc-vector-dev (>= 0.7.0.0)
+  , libghc-vector-dev (>= 0.7.1)
   , libghc-vector-prof
   , libghc-vector-algorithms-dev (>= 0.4)
   , libghc-vector-algorithms-prof
-  , libghc-aeson-dev
-  , libghc-aeson-prof
 Build-Depends-Indep: ghc-doc
-  , libghc-deepseq-doc
   , libghc-erf-doc
   , libghc-monad-par-doc
   , libghc-mwc-random-doc
+  , libghc-math-functions-doc
   , libghc-primitive-doc
   , libghc-vector-doc
   , libghc-vector-algorithms-doc
-  , libghc-aeson-doc
 Standards-Version: 3.9.2
 Homepage: http://hackage.haskell.org/package/statistics
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-statistics

## haskell-statistics 0.10.2.0

=== debian/changelog ===
haskell-statistics (0.10.2.0-3build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 May 2013 08:46:42 +0100

haskell-statistics (0.10.2.0-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:45 +0200

haskell-statistics (0.10.2.0-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:06 +0200

haskell-statistics (0.10.2.0-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 17 Oct 2012 20:52:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>, Iulian Udrea <iulian@physics.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8)
+  , haskell-devscripts (>= 0.8.15)
   , ghc
   , ghc-prof
   , libghc-erf-dev
@@ -31,7 +31,7 @@
   , libghc-primitive-doc
   , libghc-vector-doc
   , libghc-vector-algorithms-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/statistics
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-statistics
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-statistics
@@ -44,10 +44,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: A library of statistical types, data, and functions
- This package provides a library for the Haskell programming language.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: A library of statistical types, data, and functions${haskell:ShortBlurb}
  This library provides a number of common functions and types useful
  in statistics.  Our focus is on high performance, numerical
  robustness, and use of good algorithms.  Where possible, we provide
@@ -63,6 +60,8 @@
  estimation, bootstrap methods, and autocorrelation analysis.
  .
  Random variate generation under several different distributions.
+ .
+ ${haskell:Blurb}
 
 Package: libghc-statistics-prof
 Architecture: any
@@ -72,11 +71,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: A library of statistical types, data, and functions; profiling libraries
- This package provides a library for the Haskell programming language,
- compiled for profiling.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: A library of statistical types, data, and functions${haskell:ShortBlurb}
  This library provides a number of common functions and types useful
  in statistics.  Our focus is on high performance, numerical
  robustness, and use of good algorithms.  Where possible, we provide
@@ -92,6 +87,8 @@
  estimation, bootstrap methods, and autocorrelation analysis.
  .
  Random variate generation under several different distributions.
+ .
+ ${haskell:Blurb}
 
 Package: libghc-statistics-doc
 Section: doc
@@ -99,11 +96,7 @@
 Depends: ${misc:Depends}, ${haskell:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
-Description: A library of statistical types, data, and functions; documentation
- This package provides the documentation for a library for the Haskell
- programming language.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: A library of statistical types, data, and functions${haskell:ShortBlurb}
  This library provides a number of common functions and types useful
  in statistics.  Our focus is on high performance, numerical
  robustness, and use of good algorithms.  Where possible, we provide
@@ -119,3 +112,5 @@
  estimation, bootstrap methods, and autocorrelation analysis.
  .
  Random variate generation under several different distributions.
+ .
+ ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|statistics-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/statistics \
    ([\d\.]*\d)/

## haskell-statistics 0.13.2.1

=== debian/changelog ===
haskell-statistics (0.13.2.1-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 28 Aug 2014 19:43:24 -0700

=== debian/control ===
--- 
+++ 
@@ -3,34 +3,51 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>, Iulian Udrea <iulian@physics.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9)
   , cdbs
   , haskell-devscripts (>= 0.8.15)
   , ghc
   , ghc-prof
+  , libghc-aeson-dev (>= 0.6.0.0)
+  , libghc-aeson-prof
+  , libghc-binary-dev (>= 0.5.1.0)
+  , libghc-binary-prof
   , libghc-erf-dev
   , libghc-erf-prof
-  , libghc-monad-par-dev (>= 0.1.0.1)
+  , libghc-ieee754-dev (>= 0.7.3)
+  , libghc-ieee754-prof
+  , libghc-math-functions-dev (>= 0.1.5.2)
+  , libghc-math-functions-prof
+  , libghc-monad-par-dev (>= 0.3.4)
   , libghc-monad-par-prof
-  , libghc-mwc-random-dev (>= 0.11.0.0)
+  , libghc-mwc-random-dev (>= 0.13.0.0)
   , libghc-mwc-random-prof
-  , libghc-math-functions-dev (>= 0.1.1)
-  , libghc-math-functions-prof
   , libghc-primitive-dev (>= 0.3)
   , libghc-primitive-prof
-  , libghc-vector-dev (>= 0.7.1)
+  , libghc-vector-dev (>= 0.10)
   , libghc-vector-prof
   , libghc-vector-algorithms-dev (>= 0.4)
   , libghc-vector-algorithms-prof
+  , libghc-vector-binary-instances-dev (>= 0.2.1)
+  , libghc-vector-binary-instances-prof
+# test suite
+  , libghc-hunit-dev
+  , libghc-quickcheck2-dev (>= 2.7.5)
+  , libghc-test-framework-dev
+  , libghc-test-framework-hunit-dev
+  , libghc-test-framework-quickcheck2-dev
 Build-Depends-Indep: ghc-doc
+  , libghc-aeson-doc
+  , libghc-binary-doc
   , libghc-erf-doc
+  , libghc-ieee754-doc
   , libghc-monad-par-doc
   , libghc-mwc-random-doc
   , libghc-math-functions-doc
   , libghc-primitive-doc
   , libghc-vector-doc
   , libghc-vector-algorithms-doc
+  , libghc-vector-binary-instances-doc
 Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/statistics
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-statistics
@@ -57,7 +74,7 @@
  focus on the most common.)
  .
  Computing with sample data: quantile estimation, kernel density
- estimation, bootstrap methods, and autocorrelation analysis.
+ estimation, bootstrap methods, regression and autocorrelation analysis.
  .
  Random variate generation under several different distributions.
  .

## haskell-statistics 0.13.2.3

=== debian/changelog ===
haskell-statistics (0.13.2.3-4build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Jan 2016 12:54:42 +0000

haskell-statistics (0.13.2.3-4) unstable; urgency=medium

  [ Joachim Breitner ]
  * Add Uploaders field, which I accidentally dropped

  [ Clint Adams ]
  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:05 -0500

haskell-statistics (0.13.2.3-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:28:44 +0200

haskell-statistics (0.13.2.3-2) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:59:02 +0200

haskell-statistics (0.13.2.3-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:53:42 +0200

haskell-statistics (0.13.2.1-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * Do not depend on binary, which now comes with GHC

 -- Joachim Breitner <nomeata@debian.org>  Mon, 22 Dec 2014 13:27:31 +0100

=== debian/control ===
Source: haskell-statistics
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-aeson-dev (>= 0.6.0.0),
 libghc-aeson-prof,
 libghc-erf-dev,
 libghc-erf-prof,
 libghc-math-functions-dev (>= 0.1.5.2),
 libghc-math-functions-prof,
 libghc-monad-par-dev (>= 0.3.4),
 libghc-monad-par-prof,
 libghc-mwc-random-dev (>= 0.13.0.0),
 libghc-mwc-random-prof,
 libghc-primitive-dev (>= 0.3),
 libghc-primitive-prof,
 libghc-vector-dev (>= 0.10),
 libghc-vector-prof,
 libghc-vector-algorithms-dev (>= 0.4),
 libghc-vector-algorithms-prof,
 libghc-vector-binary-instances-dev (>= 0.2.1),
 libghc-vector-binary-instances-prof,
Build-Depends-Indep: ghc-doc,
 libghc-aeson-doc,
 libghc-erf-doc,
 libghc-math-functions-doc,
 libghc-monad-par-doc,
 libghc-mwc-random-doc,
 libghc-primitive-doc,
 libghc-vector-doc,
 libghc-vector-algorithms-doc,
 libghc-vector-binary-instances-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/bos/statistics
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-statistics-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: A library of statistical types, data, and functions${haskell:ShortBlurb}
 This library provides a number of common functions and types useful
 in statistics.  Our focus is on high performance, numerical
 robustness, and use of good algorithms.  Where possible, we provide
 references to the statistical literature.
 .
 The library's facilities can be divided into three broad categories:
 .
 Working with widely used discrete and continuous probability
 distributions.  (There are dozens of exotic distributions in use; we
 focus on the most common.)
 .
 Computing with sample data: quantile estimation, kernel density
 estimation, bootstrap methods, regression and autocorrelation analysis.
 .
 Random variate generation under several different distributions.
 .
 ${haskell:Blurb}

Package: libghc-statistics-prof
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: A library of statistical types, data, and functions${haskell:ShortBlurb}
 This library provides a number of common functions and types useful
 in statistics.  Our focus is on high performance, numerical
 robustness, and use of good algorithms.  Where possible, we provide
 references to the statistical literature.
 .
 The library's facilities can be divided into three broad categories:
 .
 Working with widely used discrete and continuous probability
 distributions.  (There are dozens of exotic distributions in use; we
 focus on the most common.)
 .
 Computing with sample data: quantile estimation, kernel density
 estimation, bootstrap methods, and autocorrelation analysis.
 .
 Random variate generation under several different distributions.
 .
 ${haskell:Blurb}

Package: libghc-statistics-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: A library of statistical types, data, and functions${haskell:ShortBlurb}
 This library provides a number of common functions and types useful
 in statistics.  Our focus is on high performance, numerical
 robustness, and use of good algorithms.  Where possible, we provide
 references to the statistical literature.
 .
 The library's facilities can be divided into three broad categories:
 .
 Working with widely used discrete and continuous probability
 distributions.  (There are dozens of exotic distributions in use; we
 focus on the most common.)
 .
 Computing with sample data: quantile estimation, kernel density
 estimation, bootstrap methods, and autocorrelation analysis.
 .
 Random variate generation under several different distributions.
 .
 ${haskell:Blurb}

## haskell-statistics 0.13.3.0

=== debian/changelog ===
haskell-statistics (0.13.3.0-3build6) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 03:39:22 +0000

haskell-statistics (0.13.3.0-3build5) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2017 21:49:59 +0200

haskell-statistics (0.13.3.0-3build4) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Jul 2017 19:53:28 +0200

haskell-statistics (0.13.3.0-3build3) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2017 17:29:52 +0200

haskell-statistics (0.13.3.0-3build2) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Jun 2017 12:20:30 +0200

haskell-statistics (0.13.3.0-3build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Jan 2017 13:49:24 +0100

haskell-statistics (0.13.3.0-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:36:15 -0400

haskell-statistics (0.13.3.0-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 16:09:48 -0400

haskell-statistics (0.13.3.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 12 Jul 2016 17:14:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: haskell-statistics
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Joachim Breitner <nomeata@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Joachim Breitner <nomeata@debian.org>,
 Priority: extra
 Section: haskell
-Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.10),
+Build-Depends:
  cdbs,
- ghc,
+ debhelper (>= 9),
+ ghc (>= 8),
  ghc-prof,
+ haskell-devscripts (>= 0.13),
  libghc-aeson-dev (>= 0.6.0.0),
  libghc-aeson-prof,
  libghc-erf-dev,
@@ -20,35 +23,40 @@
  libghc-mwc-random-prof,
  libghc-primitive-dev (>= 0.3),
  libghc-primitive-prof,
- libghc-vector-dev (>= 0.10),
- libghc-vector-prof,
  libghc-vector-algorithms-dev (>= 0.4),
  libghc-vector-algorithms-prof,
  libghc-vector-binary-instances-dev (>= 0.2.1),
  libghc-vector-binary-instances-prof,
-Build-Depends-Indep: ghc-doc,
+ libghc-vector-dev (>= 0.10),
+ libghc-vector-prof,
+Build-Depends-Indep:
+ ghc-doc,
  libghc-aeson-doc,
  libghc-erf-doc,
  libghc-math-functions-doc,
  libghc-monad-par-doc,
  libghc-mwc-random-doc,
  libghc-primitive-doc,
- libghc-vector-doc,
  libghc-vector-algorithms-doc,
  libghc-vector-binary-instances-doc,
-Standards-Version: 3.9.6
+ libghc-vector-doc,
+Standards-Version: 3.9.8
 Homepage: https://github.com/bos/statistics
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-statistics
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: libghc-statistics-dev
 Architecture: any
-Depends: ${haskell:Depends},
+Depends:
+ ${haskell:Depends},
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: A library of statistical types, data, and functions${haskell:ShortBlurb}
  This library provides a number of common functions and types useful
  in statistics.  Our focus is on high performance, numerical
@@ -70,12 +78,16 @@
 
 Package: libghc-statistics-prof
 Architecture: any
-Depends: ${haskell:Depends},
+Depends:
+ ${haskell:Depends},
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: A library of statistical types, data, and functions${haskell:ShortBlurb}
  This library provides a number of common functions and types useful
  in statistics.  Our focus is on high performance, numerical
@@ -98,10 +110,13 @@
 Package: libghc-statistics-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
+Depends:
  ${haskell:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
+ ${misc:Depends},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
 Description: A library of statistical types, data, and functions${haskell:ShortBlurb}
  This library provides a number of common functions and types useful
  in statistics.  Our focus is on high performance, numerical

=== debian/watch ===
version=3
http://hackage.haskell.org/package/statistics/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-statistics 0.14.0.2

=== debian/changelog ===
haskell-statistics (0.14.0.2-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:21:34 +0300

haskell-statistics (0.14.0.2-2) unstable; urgency=medium

  * Patch for newer base-orphans.

 -- Clint Adams <clint@debian.org>  Sat, 14 Apr 2018 17:18:57 -0400

haskell-statistics (0.14.0.2-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 17:10:01 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: haskell-statistics
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Joachim Breitner <nomeata@debian.org>,
-Priority: extra
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
+ debhelper (>= 10),
  ghc (>= 8),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-aeson-dev (>= 0.6.0.0),
  libghc-aeson-prof,
+ libghc-base-orphans-dev (>= 0.6),
+ libghc-base-orphans-dev (<< 0.8),
+ libghc-base-orphans-prof,
  libghc-erf-dev,
  libghc-erf-prof,
- libghc-math-functions-dev (>= 0.1.5.2),
+ libghc-math-functions-dev (>= 0.1.7),
  libghc-math-functions-prof,
  libghc-monad-par-dev (>= 0.3.4),
  libghc-monad-par-prof,
@@ -27,11 +30,11 @@
  libghc-vector-algorithms-prof,
  libghc-vector-binary-instances-dev (>= 0.2.1),
  libghc-vector-binary-instances-prof,
- libghc-vector-dev (>= 0.10),
- libghc-vector-prof,
-Build-Depends-Indep:
- ghc-doc,
+ libghc-vector-th-unbox-dev,
+ libghc-vector-th-unbox-prof,
+Build-Depends-Indep: ghc-doc,
  libghc-aeson-doc,
+ libghc-base-orphans-doc,
  libghc-erf-doc,
  libghc-math-functions-doc,
  libghc-monad-par-doc,
@@ -39,11 +42,11 @@
  libghc-primitive-doc,
  libghc-vector-algorithms-doc,
  libghc-vector-binary-instances-doc,
- libghc-vector-doc,
-Standards-Version: 3.9.8
+ libghc-vector-th-unbox-doc,
+Standards-Version: 4.1.4
 Homepage: https://github.com/bos/statistics
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-statistics
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-statistics
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-statistics]
 
 Package: libghc-statistics-dev
 Architecture: any

=== debian/watch ===
version=3
https://hackage.haskell.org/package/statistics/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-statistics 0.15.0.0

=== debian/changelog ===
haskell-statistics (0.15.0.0-1build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Sep 2019 08:25:34 +0200

haskell-statistics (0.15.0.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add missing "Upstream-Name" field into "debian/copyright".

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 01 Aug 2019 21:06:49 -0400

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,14 @@
  libghc-aeson-dev (>= 0.6.0.0),
  libghc-aeson-prof,
  libghc-base-orphans-dev (>= 0.6),
- libghc-base-orphans-dev (<< 0.8),
+ libghc-base-orphans-dev (<< 0.9),
  libghc-base-orphans-prof,
- libghc-erf-dev,
- libghc-erf-prof,
- libghc-math-functions-dev (>= 0.1.7),
+ libghc-data-default-class-dev (>= 0.1.2),
+ libghc-data-default-class-prof,
+ libghc-dense-linear-algebra-dev (>= 0.1),
+ libghc-dense-linear-algebra-dev (<< 0.2),
+ libghc-dense-linear-algebra-prof,
+ libghc-math-functions-dev (>= 0.3),
  libghc-math-functions-prof,
  libghc-monad-par-dev (>= 0.3.4),
  libghc-monad-par-prof,
@@ -35,7 +38,8 @@
 Build-Depends-Indep: ghc-doc,
  libghc-aeson-doc,
  libghc-base-orphans-doc,
- libghc-erf-doc,
+ libghc-data-default-class-doc,
+ libghc-dense-linear-algebra-doc,
  libghc-math-functions-doc,
  libghc-monad-par-doc,
  libghc-mwc-random-doc,
@@ -43,7 +47,7 @@
  libghc-vector-algorithms-doc,
  libghc-vector-binary-instances-doc,
  libghc-vector-th-unbox-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: https://github.com/bos/statistics
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-statistics
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-statistics]

=== debian/rules ===
#!/usr/bin/make -f

# Temporarily disabled, has issues. Needs to be investigated and discussed with
# upstream
# DEB_ENABLE_TESTS := yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-statistics 0.15.2.0

=== debian/changelog ===
haskell-statistics (0.15.2.0-1build4) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 22:37:18 +0000

haskell-statistics (0.15.2.0-1build3) groovy; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 29 Aug 2020 18:55:30 +0000

haskell-statistics (0.15.2.0-1build2) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jul 2020 18:04:35 +0200

haskell-statistics (0.15.2.0-1build1) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jun 2020 08:33:40 +0200

haskell-statistics (0.15.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 31 May 2020 15:18:02 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-statistics
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Joachim Breitner <nomeata@debian.org>,
 Priority: optional
@@ -13,6 +14,9 @@
  haskell-devscripts (>= 0.13),
  libghc-aeson-dev (>= 0.6.0.0),
  libghc-aeson-prof,
+ libghc-async-dev (>= 2.2.2),
+ libghc-async-dev (<< 2.3),
+ libghc-async-prof,
  libghc-base-orphans-dev (>= 0.6),
  libghc-base-orphans-dev (<< 0.9),
  libghc-base-orphans-prof,
@@ -37,6 +41,7 @@
  libghc-vector-th-unbox-prof,
 Build-Depends-Indep: ghc-doc,
  libghc-aeson-doc,
+ libghc-async-doc,
  libghc-base-orphans-doc,
  libghc-data-default-class-doc,
  libghc-dense-linear-algebra-doc,

## haskell-statistics 0.16.1.0

=== debian/changelog ===
haskell-statistics (0.16.1.0-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Remove retired developer, Joachim Breitner, from Uploaders.
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 10 Aug 2022 10:12:59 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: haskell-statistics
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
- Joachim Breitner <nomeata@debian.org>,
+ Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
@@ -17,22 +16,24 @@
  libghc-async-dev (>= 2.2.2),
  libghc-async-dev (<< 2.3),
  libghc-async-prof,
- libghc-base-orphans-dev (>= 0.6),
- libghc-base-orphans-dev (<< 0.9),
- libghc-base-orphans-prof,
  libghc-data-default-class-dev (>= 0.1.2),
  libghc-data-default-class-prof,
  libghc-dense-linear-algebra-dev (>= 0.1),
  libghc-dense-linear-algebra-dev (<< 0.2),
  libghc-dense-linear-algebra-prof,
- libghc-math-functions-dev (>= 0.3),
+ libghc-math-functions-dev (>= 0.3.4.1),
  libghc-math-functions-prof,
- libghc-monad-par-dev (>= 0.3.4),
- libghc-monad-par-prof,
- libghc-mwc-random-dev (>= 0.13.0.0),
+ libghc-mwc-random-dev (>= 0.15.0.0),
  libghc-mwc-random-prof,
+ libghc-parallel-dev (>= 3.2.2.0),
+ libghc-parallel-dev (<< 3.3),
+ libghc-parallel-prof,
  libghc-primitive-dev (>= 0.3),
  libghc-primitive-prof,
+ libghc-random-dev (>= 1.2),
+ libghc-random-prof,
+ libghc-vector-dev (>= 0.10),
+ libghc-vector-prof,
  libghc-vector-algorithms-dev (>= 0.4),
  libghc-vector-algorithms-prof,
  libghc-vector-binary-instances-dev (>= 0.2.1),
@@ -42,18 +43,19 @@
 Build-Depends-Indep: ghc-doc,
  libghc-aeson-doc,
  libghc-async-doc,
- libghc-base-orphans-doc,
  libghc-data-default-class-doc,
  libghc-dense-linear-algebra-doc,
  libghc-math-functions-doc,
- libghc-monad-par-doc,
  libghc-mwc-random-doc,
+ libghc-parallel-doc,
  libghc-primitive-doc,
+ libghc-random-doc,
+ libghc-vector-doc,
  libghc-vector-algorithms-doc,
  libghc-vector-binary-instances-doc,
  libghc-vector-th-unbox-doc,
-Standards-Version: 4.4.0
-Homepage: https://github.com/bos/statistics
+Standards-Version: 4.6.1
+Homepage: https://github.com/haskell/statistics
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-statistics
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-statistics]

## haskell-statistics 0.16.2.1

=== debian/changelog ===
haskell-statistics (0.16.2.1-2build1) plucky; urgency=medium

  * No-change rebuild for GHC ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Nov 2024 07:47:24 +0100

haskell-statistics (0.16.2.1-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 08 Oct 2024 19:11:07 +0300

haskell-statistics (0.16.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 21 Oct 2023 13:50:26 -0400

haskell-statistics (0.16.2.0-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 06 Oct 2023 14:46:10 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- ghc (>= 8),
+ ghc (>= 9.6),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-aeson-dev (>= 0.6.0.0),
@@ -54,7 +54,7 @@
  libghc-vector-algorithms-doc,
  libghc-vector-binary-instances-doc,
  libghc-vector-th-unbox-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/haskell/statistics
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-statistics
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-statistics]

## haskell-statistics 0.16.4.0

=== debian/changelog ===
haskell-statistics (0.16.4.0-1) unstable; urgency=medium

  * Build using dh-haskell
  * New upstream release

 -- Scott Talbert <swt@techie.net>  Wed, 11 Feb 2026 19:54:50 -0500

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
- ghc (>= 9.6),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
+ ghc (>= 9.10),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-aeson-dev (>= 0.6.0.0),
@@ -26,7 +26,7 @@
  libghc-mwc-random-dev (>= 0.15.0.0),
  libghc-mwc-random-prof,
  libghc-parallel-dev (>= 3.2.2.0),
- libghc-parallel-dev (<< 3.3),
+ libghc-parallel-dev (<< 3.4),
  libghc-parallel-prof,
  libghc-primitive-dev (>= 0.3),
  libghc-primitive-prof,
@@ -54,7 +54,7 @@
  libghc-vector-algorithms-doc,
  libghc-vector-binary-instances-doc,
  libghc-vector-th-unbox-doc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/haskell/statistics
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-statistics
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-statistics]

=== debian/rules ===
#!/usr/bin/make -f

# Temporarily disabled, has issues. Needs to be investigated and discussed with
# upstream
# export DEB_ENABLE_TESTS := yes

%:
	dh $@
